<script>
  const width = 100;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  const rect_x = (innerWidth - 40) / 2;
  const rect_y = (innerHeight - 40) / 2 ;
  const circle_x = innerWidth-rect_x;
  const circle_y = innerHeight-rect_y;

  console.log(innerHeight)
  console.log(innerWidth)
</script>

<svg {width} {height}>
  <g transform="translate({margin.left}, {margin.top})">
    <!--  -->
    <rect x={rect_x} y={rect_x} width=40 height=40/>
    <circle cx={circle_x} cy={circle_y} r=20 />
  </g>
</svg>

<style>
  svg {
    border: 1px solid black;
    border-radius: 5px;
  }
  rect{
    fill:yellow;
  }
  circle{
    fill:skyblue;
  }
</style>
